Commit 9187a458 authored by intrigeri's avatar intrigeri
Browse files

auto/build: clean up deprecated code.

Since commit:936d444b we don't need
pipefail anymore.

And since commit:aed1c5fa we run under "set -e",
so manually checking for the exit code of "lb build" is useless.

Note that I'm leaving a bunch of "|| fatal MSG" elsewhere because
they provide nicer error messages.
parent 60759481
......@@ -160,15 +160,10 @@ trap "kill -9 $! 2>/dev/null" EXIT HUP INT QUIT TERM
) > "$BUILD_APT_SOURCES"
echo "Building ISO image ${BUILD_ISO_FILENAME}..."
set -o pipefail
time lb build noauto ${@}
RET=$?
[ -e binary.iso ] || fatal "lb build failed ($?)."
echo "ISO image was successfully created"
[ "$RET" -eq 0 ] || \
echo "Warning: lb build exited with code $RET"
print_iso_size binary.iso
echo "Hybriding it..."
isohybrid $AMNESIA_ISOHYBRID_OPTS binary.iso || fatal "isohybrid failed"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment